UHardwareGpsParams Struct Reference

`#include <gps.h>`

Collaboration diagram for UHardwareGpsParams:

## Data Fields

UHardwareGpsLocationCallback | location_cb
UHardwareGpsStatusCallback | status_cb
UHardwareGpsSvStatusCallback | sv_status_cb
UHardwareGpsNmeaCallback | nmea_cb
UHardwareGpsSetCapabilities | set_capabilities_cb
UHardwareGpsRequestUtcTime | request_utc_time_cb
UHardwareGpsXtraDownloadRequest | xtra_download_request_cb
UHardwareGpsAGpsStatusCallback | agps_status_cb
UHardwareGpsNiNotifyCallback | gps_ni_notify_cb
UHardwareGpsAGpsRilRequestSetId | request_setid_cb
UHardwareGpsAGpsRilRequestRefLoc | request_refloc_cb
void * | context

## Detailed Description

Definition at line 440 of file gps.h.

## Field Documentation

UHardwareGpsAGpsStatusCallback UHardwareGpsParams::agps_status_cb

Definition at line 452 of file gps.h.

void* UHardwareGpsParams::context

Definition at line 459 of file gps.h.

UHardwareGpsNiNotifyCallback UHardwareGpsParams::gps_ni_notify_cb

Definition at line 454 of file gps.h.

UHardwareGpsLocationCallback UHardwareGpsParams::location_cb

Definition at line 443 of file gps.h.

UHardwareGpsNmeaCallback UHardwareGpsParams::nmea_cb

Definition at line 446 of file gps.h.

UHardwareGpsAGpsRilRequestRefLoc UHardwareGpsParams::request_refloc_cb

Definition at line 457 of file gps.h.

UHardwareGpsAGpsRilRequestSetId UHardwareGpsParams::request_setid_cb

Definition at line 456 of file gps.h.

UHardwareGpsRequestUtcTime UHardwareGpsParams::request_utc_time_cb

Definition at line 448 of file gps.h.

UHardwareGpsSetCapabilities UHardwareGpsParams::set_capabilities_cb

Definition at line 447 of file gps.h.

UHardwareGpsStatusCallback UHardwareGpsParams::status_cb

Definition at line 444 of file gps.h.

UHardwareGpsSvStatusCallback UHardwareGpsParams::sv_status_cb

Definition at line 445 of file gps.h.

UHardwareGpsXtraDownloadRequest UHardwareGpsParams::xtra_download_request_cb

Definition at line 450 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h